Bug 330057 - Unable to fully clear recent addresses
Summary: Unable to fully clear recent addresses
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: composer (show other bugs)
Version: 4.12
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-17 07:59 UTC by Graeme Hewson
Modified: 2014-02-13 12:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graeme Hewson 2014-01-17 07:59:51 UTC
I can clear the list of recent addresses by secondary-clicking in the To field of a new message, selecting Edit Recent Addresses and removing the addresses. Alternatively, Settings/Configure/Composer → Edit Recent Addresses.

However, if I enter a character in the To field, I'm still shown a list of recent addresses. These addresses are in .kde/share/config/kmail2rc.
Comment 1 Laurent Montel 2014-01-17 08:56:00 UTC
Just a question
When you restart kmail it's ok or not ?
Just to know if it's still on cache.
Comment 2 Graeme Hewson 2014-01-17 09:57:18 UTC
The addresses are cleared from kmail2rc when I stop Kontact, and on restarting, indeed the addresses no longer appear in a To field.
Comment 3 Laurent Montel 2014-01-17 11:30:16 UTC
Ok so it's in cache.
I Will look at.
Comment 4 Laurent Montel 2014-02-13 08:50:24 UTC
Git commit 026074bc0a221288d727d3b83f0d77edba3ce816 by Montel Laurent.
Committed on 13/02/2014 at 08:49.
Pushed by mlaurent into branch 'KDE/4.12'.

Clear recent address list when we change items.

M  +2    -0    messagecomposer/composer/composerlineedit.cpp

http://commits.kde.org/kdepim/026074bc0a221288d727d3b83f0d77edba3ce816
Comment 5 Laurent Montel 2014-02-13 08:51:25 UTC
This commit doesn't fix your bug but it was the same in composer.
I will continue to investigate this bug.
Regards
Comment 6 Laurent Montel 2014-02-13 11:45:38 UTC
Can not reproduce in master.
Could you reverify it ?
Comment 7 Graeme Hewson 2014-02-13 12:11:54 UTC
It's still happening in 4.12.1, but now the recent addresses are not in kmail2rc: grep shows they're in share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.db. Sorry, I can't build from source to test.
Comment 8 Graeme Hewson 2014-02-13 12:16:56 UTC
After restarting Kontact, the addresses are still in soprano-virtuoso.db, and the timestamp of the file is unchanged from before the restart, but the recent addresses have been cleared. That is, if I enter a character in the To field, I'm no longer shown a list of recent addresses.